SDL_atan(3)

NAME
SDL_atan - Compute the arc tangent of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_atan(double x);

DESCRIPTION
The definition of y=atan(x) is x=tan(y) . Domain: -INF<=x<=INF Range: -Pi/2<=y<=Pi/2 This function operates on double-precision floating point values, use SDL_atanf
 for single-precision floats. To calculate the arc tangent of y / x, use SDL_atan2 . This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns arc tangent of of x in radians, or 0 if x=0 .

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_atanf(3), SDL_atan2(3), SDL_tan(3)